cURL
curl --request POST \
--url https://app.teable.ai/api/admin/observability/table-query-ops/search-vectors/analyze \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"spaceId":"string","baseId":"string","tableId":"string","fieldIds":"string","provider":"pg_bigm","searchProbe":"string","includeResultSamples":true,"sampleResultLimit":3,"maxRecommendations":1}'const url = 'https://app.teable.ai/api/admin/observability/table-query-ops/search-vectors/analyze';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"spaceId":"string","baseId":"string","tableId":"string","fieldIds":"string","provider":"pg_bigm","searchProbe":"string","includeResultSamples":true,"sampleResultLimit":3,"maxRecommendations":1}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/admin/observability/table-query-ops/search-vectors/analyze',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
spaceId: 'string',
baseId: 'string',
tableId: 'string',
fieldIds: 'string',
provider: 'pg_bigm',
searchProbe: 'string',
includeResultSamples: true,
sampleResultLimit: 3,
maxRecommendations: 1
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"spaceId\":\"string\",\"baseId\":\"string\",\"tableId\":\"string\",\"fieldIds\":\"string\",\"provider\":\"pg_bigm\",\"searchProbe\":\"string\",\"includeResultSamples\":true,\"sampleResultLimit\":3,\"maxRecommendations\":1}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/admin/observability/table-query-ops/search-vectors/analyze", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"scope": {
"semantics": "substring",
"spaceId": "<string>",
"baseId": "<string>",
"tableId": "<string>",
"fieldIds": [
"<string>"
],
"provider": "pg_bigm",
"maxRecommendations": 123
},
"tableCount": 123,
"searchProbeLengthBucket": "none",
"scannedFieldCount": 123,
"coveredFieldCount": 123,
"skippedFieldCount": 123,
"recommendations": [
{
"candidateKey": "<string>",
"tableId": "<string>",
"tableName": "<string>",
"baseId": "<string>",
"generatedColumnName": "<string>",
"generatedTextColumnName": "<string>",
"indexName": "<string>",
"indexKind": "gin_bigm",
"accessPath": "generated_text",
"semantics": "substring",
"provider": "pg_bigm",
"providerCapability": {
"provider": "pg_bigm",
"extensionName": "pg_bigm",
"operatorClass": "gin_bigm_ops",
"extensionInstalled": true,
"extensionAvailable": true,
"operatorClassInstalled": true,
"usable": true,
"minimumProbeLength": 2,
"operatorClassSchema": "<string>",
"reason": "extension_not_installed"
},
"providerCapabilities": [
{
"provider": "pg_bigm",
"extensionName": "pg_bigm",
"operatorClass": "gin_bigm_ops",
"extensionInstalled": true,
"extensionAvailable": true,
"operatorClassInstalled": true,
"usable": true,
"minimumProbeLength": 2,
"operatorClassSchema": "<string>",
"reason": "extension_not_installed"
}
],
"operatorClass": "gin_bigm_ops",
"minimumProbeLength": 2,
"searchScope": "selected_fields",
"coveredFields": [
{
"fieldId": "<string>",
"fieldName": "<string>",
"fieldType": "<string>",
"included": true,
"fieldDbName": "<string>",
"valueType": "<string>",
"textProjection": {
"kind": "plain",
"precision": 1
},
"skippedReason": "<string>"
}
],
"skippedFields": [
{
"fieldId": "<string>",
"fieldName": "<string>",
"fieldType": "<string>",
"included": true,
"fieldDbName": "<string>",
"valueType": "<string>",
"textProjection": {
"kind": "plain",
"precision": 1
},
"skippedReason": "<string>"
}
],
"estimatedRows": 123,
"inventory": {
"state": "ready",
"staleReasons": [
"<string>"
],
"semantics": "substring",
"provider": "pg_bigm",
"operatorClass": "gin_bigm_ops",
"existingGeneratedColumn": "<string>",
"existingIndexName": "<string>",
"existingIndexValid": true
},
"planEvidence": {
"explainStatus": "validated",
"explainMethod": "explain",
"explainReason": "<string>",
"costBefore": 123,
"costAfter": 123,
"costDeltaPct": 123,
"planNodeBefore": "<string>",
"planNodeAfter": "<string>",
"usesCandidateIndex": true,
"semanticsCompatible": true,
"hypotheticalIndexStatement": "<string>",
"sqlDetails": {
"beforeSql": "<string>",
"afterSql": "<string>",
"searchProbeLengthBucket": "none",
"placeholders": {
"likePattern": "<string>",
"tsquery": "<string>"
},
"redaction": "search_probe_parameterized"
}
},
"resultCompatibility": {
"status": "exact",
"baseline": "ilike",
"baselineMatchCount": 123,
"candidateMatchCount": 123,
"sampleOverlap": 0.5,
"reason": "<string>"
},
"repeatedTiming": {
"status": "measured",
"iterations": 2,
"warmupIterations": 1,
"beforeMedianMs": 1,
"afterMedianMs": 1,
"improvementPct": 123,
"reason": "<string>"
},
"nextAction": "ready_for_confirmation",
"tableSizeBytes": 123,
"semanticsReport": {
"searchProbeLengthBucket": "none",
"baselineStrategy": "ilike",
"comparisons": [
{
"strategy": "ilike",
"label": "<string>",
"semantics": "substring",
"available": true,
"indexSupport": "none",
"explainStatus": "validated",
"sampleResults": [
{
"fieldPreviews": [
{
"fieldId": "<string>",
"fieldName": "<string>",
"fieldDbName": "<string>",
"preview": "<string>",
"previewLength": 123,
"truncated": true
}
],
"recordId": "<string>"
}
],
"availabilityReason": "<string>",
"explainReason": "<string>",
"cost": 123,
"planNode": "<string>",
"usesIndex": true,
"matchCount": 123,
"matchCountDeltaFromIlike": 123,
"matchCountDeltaPctFromIlike": 123,
"sampleOverlapWithIlike": 123
}
]
}
}
],
"scopeHeatReports": [
{
"tableId": "<string>",
"tableName": "<string>",
"estimatedRows": 123,
"scannedObservationCount": 123,
"scopes": [
{
"scopeKey": "<string>",
"searchedFieldIds": [
"<string>"
],
"searchedFields": [
{
"fieldId": "<string>",
"fieldName": "<string>"
}
],
"searchMode": "ilike",
"requestCount": 123,
"slowCount": 123,
"timeoutCount": 123,
"totalDurationMs": 123,
"maxDurationMs": 123,
"averageDurationMs": 123,
"heatScore": 123,
"hot": true,
"reasonCodes": [
"high_request_volume"
],
"nextAction": "needs_plan_validation"
}
]
}
],
"scopedExpressionRecommendations": [
{
"candidateKey": "<string>",
"tableId": "<string>",
"tableName": "<string>",
"baseId": "<string>",
"indexName": "<string>",
"indexKind": "gin_bigm_expression",
"accessPath": "scoped_expression_gin",
"semantics": "substring",
"provider": "pg_bigm",
"operatorClass": "gin_bigm_ops",
"minimumProbeLength": 2,
"searchedFieldIds": [
"<string>"
],
"coveredFields": [
{
"fieldId": "<string>",
"fieldName": "<string>",
"fieldType": "<string>",
"included": true,
"fieldDbName": "<string>",
"valueType": "<string>",
"textProjection": {
"kind": "plain",
"precision": 1
},
"skippedReason": "<string>"
}
],
"scopeHeat": {
"scopeKey": "<string>",
"searchedFieldIds": [
"<string>"
],
"searchedFields": [
{
"fieldId": "<string>",
"fieldName": "<string>"
}
],
"searchMode": "ilike",
"requestCount": 123,
"slowCount": 123,
"timeoutCount": 123,
"totalDurationMs": 123,
"maxDurationMs": 123,
"averageDurationMs": 123,
"heatScore": 123,
"hot": true,
"reasonCodes": [
"high_request_volume"
],
"nextAction": "needs_plan_validation"
},
"planEvidence": {
"explainStatus": "validated",
"explainMethod": "explain",
"explainReason": "<string>",
"costBefore": 123,
"costAfter": 123,
"costDeltaPct": 123,
"planNodeBefore": "<string>",
"planNodeAfter": "<string>",
"usesCandidateIndex": true,
"semanticsCompatible": true,
"hypotheticalIndexStatement": "<string>",
"sqlDetails": {
"beforeSql": "<string>",
"afterSql": "<string>",
"searchProbeLengthBucket": "none",
"placeholders": {
"likePattern": "<string>",
"tsquery": "<string>"
},
"redaction": "search_probe_parameterized"
}
},
"nextAction": "ready_for_confirmation"
}
],
"coverageReport": {
"scannedFieldCount": 123,
"coveredFieldCount": 123,
"skippedFieldCount": 123,
"skippedReasons": {}
}
}admin
Post adminobservabilitytable query opssearch vectorsanalyze
Compatibility alias for substring search access-path analysis
Required token scopes: instance|read
POST
/
admin
/
observability
/
table-query-ops
/
search-vectors
/
analyze
cURL
Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
Minimum string length:
1Minimum string length:
1Minimum string length:
1Opzioni disponibili:
pg_bigm, pg_trgm Intervallo richiesto:
0 <= x <= 3Intervallo richiesto:
1 <= x <= 20Risposta
200 - application/json
Successful response
Show child attributes
Show child attributes
Opzioni disponibili:
none, short, medium, long Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Ultima modifica il 15 settembre 2026
Questa pagina è stata utile?

